Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Cvs

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Cvs

public class Cvs
extends Task

Author:
  costin@dnt.ro, stefano@apache.org, Wolfgang Werner wwerner@picturesafe.de

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Cvs()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setCommand(java.lang.String c)`
`void` | `setCvsRoot(java.lang.String root)`
`void` | `setDate(java.lang.String p)`
`void` | `setDest(java.io.File dest)`
`void` | `setError(java.io.File error)`
`void` | `setNoexec(boolean ne)`
`void` | `setOutput(java.io.File output)`
`void` | `setPackage(java.lang.String p)`
`void` | `setQuiet(boolean q)`
`void` | `setTag(java.lang.String p)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cvs

    public Cvs()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setCvsRoot

    public void setCvsRoot(java.lang.String root)

### setDest

    public void setDest(java.io.File dest)

### setPackage

    public void setPackage(java.lang.String p)

### setTag

    public void setTag(java.lang.String p)

### setDate

    public void setDate(java.lang.String p)

### setCommand

    public void setCommand(java.lang.String c)

### setQuiet

    public void setQuiet(boolean q)

### setNoexec

    public void setNoexec(boolean ne)

### setOutput

    public void setOutput(java.io.File output)

### setError

    public void setError(java.io.File error)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.